Page MenuHomePhabricator

Remove X-Content-Dimensions for multipage originals
Closed, ResolvedPublic

Description

As discovered in T173374: Deleting file on Commons "Error deleting file: An unknown error occurred in storage backend "local-multiwrite"." a big X-Content-Dimensions header might also prevent deletion of files. We should list all originals types that can be multipage (and thus might contain a big X-C-D header) and send a X-Remove-Content-Dimensions header to remove said header.

Event Timeline

Gilles claimed this task.Sep 12 2017, 1:47 PM
Gilles moved this task from Inbox to Next In This Quarter on the Performance-Team board.
fgiunchedi moved this task from Backlog to Radar on the User-fgiunchedi board.Sep 12 2017, 2:04 PM

Change 379528 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/core@master] Clean up X-Content-Dimensions

https://gerrit.wikimedia.org/r/379528

Change 379528 merged by jenkins-bot:
[mediawiki/core@master] Clean up X-Content-Dimensions

https://gerrit.wikimedia.org/r/379528

Gilles added a comment.Oct 5 2017, 9:50 AM

Started running the cleanup script on Terbium, clearing the header for TIFFs, PDFs and DJVUs.

Gilles added a comment.Oct 6 2017, 7:55 AM

Cleanup of non-Commons wikis complete, started the cleanup of Commons. There are 1.2 million files to process there, at the current rate it's going to take approximately 9 days to complete.

Gilles closed this task as Resolved.Oct 16 2017, 8:15 AM

Cleanup should be complete for TIFFs, PDFs and DJVUs on all wikis.